Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000142Core InformIndexingpublic2010-06-28 22:082010-07-01 23:07
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000142: Lone hyphen messes up index's phrasebook
DescriptionA hyphen by itself (other than the one that follows the section number) will insert a horizontal rule into the phrasebook, so that testing commands do not look like they are from the same file as what they test. Moreover the phrasebook will treat the section heading as a file heading, and the "not for release" as a subheading within. This bug does not happen with hyphens that are next to words, nor with the leading hyphen that follows the section number.

This is more of an issue when dealing with extensions and their testing commands, as the author is not familiar with them.

The convention of using a lone hyphen before "not for release" was created by Writing With Inform, Section 2.9 "Material not for release"
Minimal Source Text To Reproduce
"bugtest" by Ron Newcomb

Section 1 - Crouching Tester

spot is room.

To dawdle: do nothing.

Section 2 - Hidden-Debugger - not for release

To test: do nothing.
Additional Information------------------------------------------
Defined in the source

    Crouching Tester

    [+] dawdle

------------------------------------------
Hidden-Debugger

    not for release

    [+] test

-----------------------------------------
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0000182)
graham (administrator)
2010-06-29 15:45

Yes, this afflicted any section headings with two hyphens in. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-28 22:08 Ron Newcomb New Issue
2010-06-28 22:12 jmcgrew Status new => confirmed
2010-06-29 15:45 graham Note Added: 0000182
2010-06-29 15:45 graham Status confirmed => resolved
2010-06-29 15:45 graham Resolution open => fixed
2010-06-29 15:45 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker